apiVersion: v1
kind: Service
metadata:
  name: code-server
  namespace: nextcloud
  labels:
    app: code
spec:
  selector:
    pod-label: code-server-pod
  type: NodePort
  ports:
    - port: 9980
      nodePort: 30389
      targetPort: code
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: code-server
  namespace: nextcloud
  labels:
    app: code
spec:
  replicas: 1
  selector:
    matchLabels:
      pod-label: code-server-pod
  template:
    metadata:
      labels:
        pod-label: code-server-pod
    spec:
      containers:
      - name: code
        image: collabora/code:6.4.10.10
        env:
        - name: extra_params
          value: --o:ssl.enable=false
        ports:
        - containerPort: 9980
          name: code

